Subject: Re: linux-next: manual merge of the block tree with the vfs-brauner tree

From: Keith Busch <[email-masked]>
Date: Thu, 5 Mar 2026 10:34:02 -0700

On Thu, Mar 05, 2026 at 03:54:28PM +0100, Christoph Hellwig wrote:
> On Thu, Mar 05, 2026 at 01:44:28PM +0000, Mark Brown wrote:
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> > 
> > I don't have a huge degree of confidence in this merge as the block
> > change was quite large and the code is entirely unfamiliar to me.
> 
> I'm familiar with the code and looking at this I have a hard time
> understanding the merge.  I think we need to get both of these changes
> into the same branch somehow to properly audit and test it.

Yeah, one of us should have to rebase to the other. Since mine is just a
single patch on the one colliding file, I think it easiest if I just
rebase my data alignment updates to the vfs integrity branch, then send
upstream through there. Let me know if there's an alternate preference.